Request Body
Other Shift Object fields.
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
POSTs request when a shift has been created, updated, or deleted in the Zeal dashboard.
| attribute | type | description |
|---|---|---|
| test | boolean | Whether the Shift Event was created/updated/deleted in Test Mode |
| type | string | The operation that was applied to this shift. create update delete |
| companyID | string | Zeal companyID of Employer |
| business_name | string | Business name of Employer |
[
{
"test": true,
"type": "update",
"shiftID": "123678098765",
"employeeID": "1234567890",
"employeeCheckID": "1097456820203947",
"status": "pending",
"first_name": "Erlich",
"last_name": "Bachman",
"time": "2023-05-17T04:00:00Z",
"metadata": {},
"wcc_code": null,
"workLocationID": 34567890,
"hourly": {
"hours": 7,
"wage": 22
},
"reimbursement": {
"amount": 15
},
"timestamp": "2024-01-21T21:29:42Z"
}
]